"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlHero = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
/* eslint-disable @typescript-eslint/ban-types */
var Typography_1 = require("onyxia-ui/Typography");
var GlImage_1 = require("./utils/GlImage");
var tss_react_1 = require("tss-react");
var react_1 = require("react");
var theme_1 = require("./theme");
var powerhooks_1 = require("powerhooks");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var backgroundImageSrc = _a.backgroundImageSrc;
        return ({
            "root": __assign(__assign(__assign({ "position": "relative", "width": "100%", "display": "grid", "gridTemplateColumns": "repeat(2, 1fr)", "alignItems": "center", "gap": theme.spacing(12) }, (function () {
                var value = theme.spacing(12);
                return {
                    "paddingLeft": value,
                    "paddingRight": value,
                };
            })()), (theme.responsive.down("lg")
                ? {
                    "gridTemplateColumns": undefined,
                    "gridAutoFlow": "row",
                    "gap": theme.spacing(6),
                }
                : {})), (theme.responsive.down("sm")
                ? __assign({}, (function () {
                    var value = theme.spacing(4);
                    return {
                        "paddingLeft": value,
                        "paddingRight": value,
                    };
                })()) : {})),
            "title": {
                "marginBottom": theme.spacing(2),
            },
            "subtitle": {
                "marginTop": theme.spacing(2),
            },
            "backgroundDiv": {
                "background": "url(" + backgroundImageSrc + ")",
                "backgroundRepeat": "no-repeat",
                "backgroundSize": "cover",
                "backgroundPosition": "center",
                "width": "100%",
                "height": "100%",
                "position": "absolute",
                "top": 0,
                "left": 0,
                "zIndex": -1,
                "filter": theme.isDarkModeEnabled ? "brightness(0.8)" : undefined,
            },
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlHero = react_1.memo(function (props) {
    var title = props.title, subTitle = props.subTitle, className = props.className, backgroundImageSrc = props.backgroundImageSrc, imageSrc = props.imageSrc;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({ backgroundImageSrc: backgroundImageSrc }).classNames;
    return (jsx_runtime_1.jsxs("section", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [jsx_runtime_1.jsx("div", { className: classNames.backgroundDiv }, void 0),
            jsx_runtime_1.jsxs("div", { children: [title && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.title, variant: "h1" }, { children: title }), void 0)),
                    subTitle && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h3", className: classNames.subtitle }, { children: subTitle }), void 0))] }, void 0),
            imageSrc !== undefined && (jsx_runtime_1.jsx(GlImage_1.GlImage, { url: imageSrc, alt: "hero image" }, void 0))] }), void 0));
});
//# sourceMappingURL=GlHero.js.map